Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.endeca.portal.data
Enum MDEXState.MDEXRecords

    java.lang.Object
      java.lang.Enum<MDEXState.MDEXRecords>
          com.endeca.portal.data.MDEXState.MDEXRecords

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MDEXState.MDEXRecords>

Enclosing class:
  MDEXState

    public static enum MDEXState.MDEXRecords

extends java.lang.Enum<MDEXState.MDEXRecords>

Enum Constant Summary
`ALL`
`DATA`
`PROPERTY`

Method Summary
`static MDEXState.MDEXRecords` | `parse(java.lang.String recordsString)`
`static MDEXState.MDEXRecords` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MDEXState.MDEXRecords[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALL

    public static final MDEXState.MDEXRecords ALL

### DATA

    public static final MDEXState.MDEXRecords DATA

### PROPERTY

    public static final MDEXState.MDEXRecords PROPERTY

Method Detail

### values

    public static final MDEXState.MDEXRecords[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MDEXState.MDEXRecords c : MDEXState.MDEXRecords.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MDEXState.MDEXRecords valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### parse

    public static MDEXState.MDEXRecords parse(java.lang.String recordsString)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD